---
lang: en
title: 'API docs: repository.hasmanythroughrepository.unlinkall'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.hasmanythroughrepository.unlinkall.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [HasManyThroughRepository](./repository.hasmanythroughrepository.md) &gt; [unlinkAll](./repository.hasmanythroughrepository.unlinkall.md)

## HasManyThroughRepository.unlinkAll() method

Remove all association to an existing target model instance

**Signature:**

```typescript
unlinkAll(options?: Options & {
        throughOptions?: Options;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [Options](./repository.options.md) &amp; { throughOptions?: [Options](./repository.options.md)<!-- -->; } | _(Optional)_  A promise which resolves to void |

**Returns:**

Promise&lt;void&gt;


